> ## Documentation Index
> Fetch the complete documentation index at: https://docs.groweasy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Personal Email

> Find a personal email address for a person.

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://api.groweasy.io/email/personal" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "firstName": "John",
      "lastName": "Smith",
      "linkedinUrl": "https://linkedin.com/in/johnsmith"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.groweasy.io/email/personal', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      firstName: 'John',
      lastName: 'Smith',
      linkedinUrl: 'https://linkedin.com/in/johnsmith',
    }),
  });

  const data = await response.json();
  console.log(data.data.email); // "johnsmith@gmail.com"
  console.log(data.data.confidence); // 0.85
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.groweasy.io/email/personal",
      headers={
          "Authorization": "Bearer YOUR_API_KEY",
          "Content-Type": "application/json",
      },
      json={
          "firstName": "John",
          "lastName": "Smith",
          "linkedinUrl": "https://linkedin.com/in/johnsmith",
      },
  )

  data = response.json()
  print(data["data"]["email"])  # "johnsmith@gmail.com"
  print(data["data"]["confidence"])  # 0.85
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "email": "johnsmith@gmail.com",
    "confidence": 0.85
  }
}
```

## With Location

Add location for better disambiguation when searching for common names:

```bash theme={null}
curl -X POST "https://api.groweasy.io/email/personal" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "firstName": "John",
    "lastName": "Smith",
    "linkedinUrl": "https://linkedin.com/in/johnsmith",
    "location": "San Francisco, CA"
  }'
```

## Use Cases

Personal email lookup is useful when:

* Business email bounced or is unavailable
* Reaching out for non-business purposes
* The person is a founder/freelancer without a company domain
* Following up after someone leaves a company


## OpenAPI

````yaml POST /email/personal
openapi: 3.1.0
info:
  title: GrowEasy API
  description: >-
    The GrowEasy API allows you to programmatically start scrapes, check status,
    manage credits, and find/verify emails.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.groweasy.io
security:
  - bearerAuth: []
paths:
  /email/personal:
    post:
      summary: Find Personal Email
      description: Find a personal email address for a person.
      operationId: findPersonalEmail
      requestBody:
        description: Person information
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindPersonalEmailRequest'
      responses:
        '200':
          description: Personal email found successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindPersonalEmailResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Personal email not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FindPersonalEmailRequest:
      type: object
      required:
        - firstName
        - lastName
      properties:
        firstName:
          type: string
          description: First name of the person
          example: John
        lastName:
          type: string
          description: Last name of the person
          example: Smith
        linkedinUrl:
          type: string
          format: uri
          description: LinkedIn profile URL for better accuracy
        location:
          type: string
          description: Location for disambiguation
          example: San Francisco, CA
    FindPersonalEmailResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            email:
              type: string
              format: email
              description: The found personal email
              example: johnsmith@gmail.com
            confidence:
              type: number
              description: Confidence score (0-1)
              example: 0.85
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: string
              description: Error code
              example: INVALID_REQUEST
            message:
              type: string
              description: Human-readable error message
              example: The request body is missing required fields
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication. Get your API key from the GrowEasy dashboard.

````